<?php
ob_start();
if(!(is_readable(realpath(dirname(__FILE__))."/include/includesroutines.inc"))) {
    die("Error - Could not open or read file ".realpath(dirname(__FILE__))."/include/includesroutines.inc");
} else {
    include_once(realpath(dirname(__FILE__))."/include/includesroutines.inc");
}
if (isset ($_REQUEST['west'])) {
	if (isset ($_REQUEST['page']) && ($_REQUEST['page'] == 'businessmodel' || $_REQUEST['page'] == 'pollobject') ) {
		setCookieLong('layout_west', stripslashes( str_replace('\\','',$_REQUEST["west"])));
	} else if (isset ($_REQUEST['page']) && $_REQUEST['page'] == 'admin' ) {
		setCookieLong('admin_layout_west', stripslashes( str_replace('\\','',$_REQUEST["west"])));
	}
	echo stripslashes( str_replace('\\','',$_REQUEST["west"]));
}

if (isset ($_REQUEST['west_hide'])) {
	if (isset ($_REQUEST['page']) && ($_REQUEST['page'] == 'businessmodel') ) {
		setCookieLong('layout_west_hide', stripslashes( str_replace('\\','',$_REQUEST["west_hide"])));
	}  
	if (isset ($_REQUEST['page']) && ($_REQUEST['page'] == 'pollobject') ) {
		setCookieLong('pollobject_layout_west_hide', stripslashes( str_replace('\\','',$_REQUEST["west_hide"])));
	}  
	if (isset ($_REQUEST['page']) && $_REQUEST['page'] == 'admin' ) {
		setCookieLong('admin_layout_west_hide', stripslashes( str_replace('\\','',$_REQUEST["west_hide"])));
	}
	echo stripslashes( str_replace('\\','',$_REQUEST["west_hide"]));
}

if (isset ($_REQUEST['east'])) {
	if (isset ($_REQUEST['page']) && ($_REQUEST['page'] == 'businessmodel' || $_REQUEST['page'] == 'pollobject') ) {
		setCookieLong('layout_east', stripslashes( str_replace('\\','',$_REQUEST["east"])));
	} 
	echo stripslashes( str_replace('\\','',$_REQUEST["east"]));
}

if (isset ($_REQUEST['east_hide'])) {
	if (isset ($_REQUEST['page']) && ($_REQUEST['page'] == 'businessmodel') ) {
		setCookieLong('layout_east_hide', stripslashes( str_replace('\\','',$_REQUEST["east_hide"])));
	}  
	if (isset ($_REQUEST['page']) && ($_REQUEST['page'] == 'pollobject') ) {
		setCookieLong('pollobject_layout_east_hide', stripslashes( str_replace('\\','',$_REQUEST["east_hide"])));
	}  	
	echo stripslashes( str_replace('\\','',$_REQUEST["east_hide"]));
}

ob_end_flush();
?>